HomeAPI ReferenceVaultsUpdate Webhook Events
PATCH/vaults/update-webhook-events/{id}

Update Webhook Events

Outcome - Replaces the list of events you are subscribed to. Send the full list you want: events not listed are unsubscribed. Send [-1] to subscribe to all events, or omit events (or send []) to unsubscribe from all. Per-event retry settings are kept.

Path Parameters

idnumber

The ID of the webhook

Body Parameters

eventsobject | array

Same format as in Create Webhook Events.

Responses

Response attributes

messagestring

Success message

dataobject

Webhook configuration

Show child attributes (9)
idnumber

Webhook ID. Use it in Create/Update Webhook Events.

urlstring

Your HTTPS endpoint

vaultIdnumber

Vault ID

retryCountnumber

Default number of retries for failed deliveries

retryPeriodstring

Default time between retries

authMethodstring

SECRET_HEADER or HMAC

eventsobject

Every event available to this vault type, grouped by category, with subscribed, retryCount and retryPeriod

subscribedEventsCountnumber

Number of events you are subscribed to

eventsDescriptionobject

What each event means

statusnumber

HTTP status code

Was this page helpful?